Bug 520001 - commons-parent should replace some of the Apache Commons poms
Summary: commons-parent should replace some of the Apache Commons poms
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven2-common-poms
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 429551
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-27 22:37 UTC by Mat Booth
Modified: 2009-09-22 19:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-22 19:28:23 UTC


Attachments (Terms of Use)

Description Mat Booth 2009-08-27 22:37:41 UTC
I would like to build some of the Apache Commons packages that I maintain with maven2 instead of ant, because in upstream's own words, the ant build is secondary and will not be updated to include generation of OSGI manifests, for example, because of infrastructure restrictions. The maven2 build does generate the OSGI manifests, so instantly there'll be a few patches we could drop simply by switching to a supported build system.

However, to do this I think we need the commons-parent.pom in maven2-common-poms.

See: http://mvnrepository.com/artifact/org.apache.commons/commons-parent/11

The Apache Commons projects tend now to ship their own project specific pom with the source, and include the commons-parent pom that contains the bits that are common across all the commons projects (like the OSGI manifest bit).

Is it possible to get the commons-codec.pom and commons-digester.pom files removed from this package and replaced with commons-parent.pom instead?

Comment 1 Mat Booth 2009-08-27 23:10:17 UTC
The commons-codec 1.4 build gets past the first hurdle if that file exists at /usr/share/maven2/default_poms/org.apache.commons-commons-parent.pom

Comment 2 Alexander Kurtakov 2009-09-01 08:13:05 UTC
I'm making this bug depend on maven update instead of blocking it. We can always do this when maven is updated and it's better to update maven entirely before taking care for the dependent packages.

Comment 3 Alexander Kurtakov 2009-09-22 19:28:23 UTC
commons-parent is added to maven2-common-poms in rawhide.


Note You need to log in before you can comment on or make changes to this bug.